<?php
/*
 本代码由 焕岱科技 创建
 技术支持 WX：15285007200
 严禁反编译、逆向等任何形式的侵权行为，违者将追究法律责任
*/

namespace app\admin\controller\bbfxshop\pyramid;

use app\admin\controller\bbfxshop\Base;
use think\Db;


class Config extends Base
{

    public $model = null;
    public function _initialize(){
        parent::_initialize();
        $this->model = new \app\common\model\bbfxshop\Pyramid;
    }
    
    public function set(){
        $params = $this->param();
        
        $config = Db::name("bbfx_pyramid")->where(["uniacid"=>UNIACID])->find();
        
        
        $transfer_num = 2;
        
        $data = array(
            "uniacid"=>UNIACID,
            "status"=>$params['status'],
            "mode"=>$params['mode'],
            "is_transfer"=>$params['is_transfer'],
            "pingji_calculate"=>$params['pingji_calculate'],
            "commission1_calculate"=>$params['commission1_calculate'],
            "slip_method"=>$params['slip_method'],
        );
        
    	if(!empty($config)){
          	$res = Db::name("bbfx_pyramid")->where(["id"=>$config['id']])->update($data);;
        }
      	else{
        	$res = Db::name("bbfx_pyramid")->insert($data);
        }
        
        
        if($res){
            
            if($data['status'] == 1){
                Db::name("bbfx_double_track")->where(["uniacid"=>UNIACID])->update(['status'=>0]);
                Db::name("bbfx_fenxiao")->where(["uniacid"=>UNIACID])->update(['transfer_mode'=>0,'yies_mode'=>0]);
                Db::name("bbfx_repurchase_jiandan")->where(["uniacid"=>UNIACID])->update(['status'=>0]);
            }
            
            \app\admin\model\AdminLog::record("","",$data,"bbfx_pyramid");
            __success("编辑成功",$data);
        }
      	else{
      	    __success("操作成功",$data);
      	}
    }
}